<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
 
 
 <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css">
 
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/js/bootstrap.min.js"></script>
 <script src="script.js"></script>

 
 
<title>Memo Bootstrap</title>
</head>
<style>
    *{
        box-sizing: border-box;
    }
    body{
        background: rgba(81, 64, 120,.2);
        color: #333;
    }
    h1{
        background: rgba(81, 64, 120,.8);
        color: aliceblue;
        padding: 10px;
    }
    
    #content1{
        margin-top: 70px;
    }
    #index1{
        min-height: 725px;
    }
    #navbar1{
        background: rgba(81, 64, 120,1);
        
    }
    .navlight1{
        color: #eee;
    }
    
    .block1{
        border: 10px solid #2c3e50;
        background: #009688;
        color: #f1c40f;
        margin: 15px;
    }
    .block2{
        border: 10px dashed #34495e;
        background: #009688;
        color: #c0392b;
        margin: 15px;
    }
    /*Typography*/
    .typo1{
        background: #90CAF9;
    }
/*    forms*/
    .bgcode{
        background: #333;
        margin: 10px 0;
        padding: 15px;
    }
    .bgcode p{
        color: #e8991b;
    }
    .forms1{
        margin: 10px;
    }
/*    image*/
    #imagetag .imagelocal{
        
    }
/*navbar*/
    
    
</style>
<body data-spy="scroll" data-target=".navbar" data-offset="50">
  <nav id="navbar1" class="navbar fixed-top navbar-toggleable-md navbar-light bg-faded ">
  <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <a class="navbar-brand" href="#">Bootstrap memo</a>
  <div class="collapse navbar-collapse navlight1" id="navbarNavAltMarkup">
    <div class="navbar-nav">
      <a class="nav-item nav-link active" href="#home1">Home <span class="sr-only">(current)</span></a>
      <a class="nav-item nav-link" href="#home2">Ma page Bootstrap | Grid</a>
      <a class="nav-item nav-link" href="#home3">Pricing</a>
      <a class="nav-item nav-link disabled" href="#home4">Disabled</a>
    </div>
  </div>
</nav>
 <div id="content1">
  <div class="container-fluid">
   <h1>Bootstrap</h1>
   <div class="container" id="index1">
   <h3>Quesque bootstrap? </h3>
   <p>C'est un framework HTML JS CSS qui permet de dévelloper plus simplement et plus rapidement. il est connu pour etre responsive sur toute les plate formes et est compatible sur quasiment tous les navigateurs. voir la section <a href="#imagetag">Images</a> pour un apercu rapide</p>
   <h3>Comment obtenir Bootstrap?</h3>
   <p>En telechargent le fichier ou en utilisant un CDN</p>
   <a href="https://jquery.com/download/">Lien vers le site site Bootstrap</a>
   <p>Oui Bootstrap est un framework Javascript, il y a des plugings JavaScript dans Bootstrap mais en JQuery, il faut donc telecharger JQuery pour utilisé JS sur Bootstrap.</p>
   </div>
   </div>
   
   <div class="container-fluid" id="headGrid">
   <h1>Ma page Bootstrap | Grid</h1>
    <div class="container" id="index1">
      <div class="row">
      <div class="block1 col-md-6 ">
       <h4>Ma page Bootstrap</h4>
       <p>Mon premier paragraphe sur Bootstrap</p>
       </div>
       <div class="block2 col-md-9">
       <h4>Ma page Bootstrap</h4>
       <p>Mon premier paragraphe sur Bootstrap</p>
       </div>
       <div>
       <h2>Grid System </h2>
       <h3>Voila la 4 catégories de taille d'écrans</h3>
       <ul>
           <li>xs inferieur a 768px (phones)</li>
           <li>sm superieur ou egale a 768px (tablets)</li>
           <li>md superieur ou égale à 992px (desktop)</li>
           <li>lg superieur ou égale à 1200px (large destop)</li>
       </ul>
       </div>
       
   </div>
   <p><a href="https://apprendre-a-coder.com/section/bootstrap-grid-system-1/">Plus de détails...</a></p>
   </div>
   </div>
   <div class="container-fluid typo1">
    <div id="index1">
     <h1>Typography</h1>
      <div class="row">
      <div class="container">
          <p><span class="text-primary">Lorem ipsum</span> dolor sit amet, consectetur adipisicing elit. Corrupti, <span class="text-danger">consectetur!</span></p>
       <h1 style="background-color:#90CAF9; border: 1px solid #ddd;">heading <small>1</small></h1>
       <h2>heading 2 <mark>important</mark></h2>
       <h3>heading 3</h3>
          <h4><span class="bg-warning">heading</span> 4</h4>
       <h5>heading 5</h5>
       <h6>heading 6</h6>
       <p>Il est possible d'ajouter des class de bootstrap a l'aide de "span" pour influencé sur les couleurs ou la tailles des éléments</p>
       </div>
       </div>
   </div>
   </div>
   <div class="container-fluid">
     <div id="index1">
      <h1>Forms (formulaire)</h1>
       <div class="container">
        <div class="row">
            <form class="forms1">
               <div class="form-group">
                   <label for="name">Name</label>
                   <input type="text" id="name" class="form-control">
               </div>
               <div class="form-group has-error">
                   <label for="email">Email</label>
                   <input type="text" class="form-control input-lg">
               </div>
               <div class="form-group has-success">
                   <label for="comment">Comment</label>
                   <textarea class="form-control" name="comment" id="comment" cols="30" rows="5"></textarea>
               </div>
               <div class="checkbox disabled">
               <label><input type="checkbox" value="" disabled>Option 1</label>
               </div>
               <div>
               <label><input type="checkbox" value="">Option 2</label>
               </div>
               <div>
               <label><input type="radio" value="">Option 1</label>
               </div>
               <div class="radio disabled">
               <label><input type="radio" value="" disabled>Option 2</label>
               </div>
               <div class="radio"><label><input type="radio" value="">Option 3</label>
               </div>
               
               <button type="submit" class="btn btn-default">Submit</button>
            </form>
            <div class="container bgcode">
                   <p><em>Sur Bootstrap la class "form-group" permet de prédéfinir un formulaire </em></p>
                   <p><em>
                       il est possible de mettre les éléments du fomulaire a la ligne grace a la class "form-inline"
                   </em></p>
               </div>
            </div>
        </div>
   </div>
   </div>
   <div class="container-fluid">
       <div id="index1">
           <h1>Buttons + Buttons Group</h1>
           <div class="container">
               <a class="btn btn-secondary">Default</a>
               <button type="button" class="btn btn-primary">Primary</button>
               <button type="button" class="btn-xs btn btn-success">Success</button>
               <button type="button" class="btn-lg btn btn-info">Info</button>
               <button type="button" class="btn btn-warning">Warning</button>
               <button type="button" class="btn btn-danger btn-sm">Danger</button>
               <button type="button" class="btn btn-link">Link</button>
           
           <p>nb: il est possible d'utiliser l'attribue "a" au lieu de "button", la taille des btn peuvent etre changé avec les class xs/sm/lg/xl</p>
           <button type="button" class="btn btn-block btn-primary">click me</button>
           <p>nb: La avec bootstratp la class btn-block permet au bouton de prendre toute la ligne</p>
           </div>
           <div class="container">
           <button type="button" class="btn btn-success active">Log in</button>
           <button type="button" class="btn btn-success">Join in</button>
           <button type="button" class="btn btn-warning disabled">Log out</button>
           <p>il est egalement possible de prédéfinir l'etat du bouton avec les class "active/disabled"</p>
       </div>
       <div class="container">
          <div class="btn-group">
              <button type="button" class="btn btn-info active"> home</button>
           <button type="button" class="btn btn-info">Contact us </button>
           <button type="button" class="btn btn-info">About us</button>
          </div>
           
           <p>Nb:la classe btn-group permet de mettre des boutons dans un meme groupe</p>
       </div>
       <div class="container">
          <div class="btn-group-vertical">
              <button type="button" class="btn btn-primary">Part 1</button>
           <button type="button" class="btn btn-primary">Part 2</button>
           <button type="button" class="btn btn-primary">Part 3</button>
          </div>
           
           <p>Nb: la classe btn-group-vertical pour le display: block)</p>
       </div>
       </div>
   </div>
   <div class="container-fluid" id="imagetag">
       <div id="index1">
          <h1>Images</h1>
          <div class="container">
              <img src="https://cdn.pixabay.com/photo/2017/11/10/12/53/face-2936245_1280.jpg" alt="" class="img-fluid">
              <img src="img/AdrianPeterson_Locker.jpg" class="rounded-circle img-fluid img-thumbnail" >
              <img src="https://cdn.pixabay.com/photo/2017/08/07/22/57/coffee-2608864_1280.jpg" class="img-fluid">
              <h3>Lien web </h3>
              <p>lien vers un site web pour recuperer des photos <a href="https://pixabay.com/fr/caf%C3%A9-tasse-tasse-%C3%A0-caf%C3%A9-2608864/">click here</a>
          </p>
          <p>la class img-fluid permet de rendre l'image responsive, (max-width:100; height: auto;)</p>
          <p>lien vers les nouvelles class de bootstrap <a href="https://getbootstrap.com/docs/4.0/migration/#images">Get Bootstrap</a></p>
          </div>
          <div class="container-fluid">
             <div class="">
              <img src="https://cdn.pixabay.com/photo/2017/11/11/19/19/bridge-2940113_1280.jpg" alt="" class="img-fluid">
              <img src="https://cdn.pixabay.com/photo/2017/11/13/23/26/train-2947086_1280.jpg" alt="" class="img-fluid">
              <img src="https://cdn.pixabay.com/photo/2016/07/29/19/19/gleise-1555348_1280.jpg" alt="" class="img-fluid">
              <img src="https://cdn.pixabay.com/photo/2017/11/17/19/14/mansion-2958234_1280.jpg" alt="" class="img-fluid">
          </div>
          </div>
       </div>
   </div>
   <div class="container-fluid" id="glyphiconstag">
       <h1>Glyphicons</h1>
       <div id="index1">
           <div class="container ">
               <a href="#" class="btn btn-secondary"><span class="glyphicon glyphicon-search"></span> Search</a><br><br>
               
               <a href="#" class="btn btn-primary btn-lg"><span class="glyphicon glyphicon-print"></span> Imprimer</a>
               <div class="bgcode"><p>class="glyphicon glyphicon-search" <br> les icons ne s'affiche pas pour le momment car la class glyphicon ne fonction pas chez bootstrap </p>
               <p>lien vers tous les icons qu'on peut utiliser sur bootstrap <a href="https://getbootstrap.com/docs/3.3/components/">Click here</a></p>
               </div>
               
           </div>
       </div>
   </div>
   <div class="container-fluid">
      <h1>Drop Down</h1>
      <div id="index1" style="margin-top:80px;">
          <div class="container">
              <div class="dropdown">
                  <button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown" id="dropdownMenuButton" aria-haspopup="true" aria-expanded="false">Fruits</button>
                  <ul class="dropdown-menu">
                      <li class="dropdown-item"><a href="#">Banane</a></li>
                      <li class="dropdown-item"><a href="#">Pomme</a></li>
                      <li class="divider"></li>
                      <li class="dropdown-item"><a href="#">Poire</a></li>
                      <li class="dropdown-header">Agrum</li>
                      <li class="dropdown-item"><a href="#">Orange</a></li>
                      <li class="dropdown-item"><a href="#">Citron</a></li>
                      <li class="dropdown-item"><a href="#">Pamplemousse</a></li>
                  </ul>
              </div>
              <p>https://getbootstrap.com/docs/4.0/components/dropdowns/</p>
          </div>
          <div class="container">
              <div class="dropdown">
              <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Dropdown button</button>
              <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
              <a class="dropdown-item" href="#">Action</a>
              <a class="dropdown-item" href="#">Another action</a>
              <a class="dropdown-item" href="#">Something else here</a></div>
              </div>
              <div class="container" style="margin-top: 50px;">
                  <!-- Example single danger button -->
<div class="btn-group">
  <button type="button" class="btn btn-danger dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
    Action
  </button>
  <div class="dropdown-menu">
    <a class="dropdown-item" href="#">Action</a>
    <a class="dropdown-item" href="#">Another action</a>
    <a class="dropdown-item" href="#">Something else here</a>
    <div class="dropdown-divider"></div>
    <a class="dropdown-item" href="#">Separated link</a>
  </div>
</div>
              </div>
          </div>
      </div>
       
   </div>
   <div class="container-fluid">
      <h1>Progress Bar</h1>
      <div id="index1">
          <div class="container">
              <div class="progress">
                  <div class="progress-bar" role="progressbar" aria-valuemin="0" aria-valuemax="100" aria-valuenow="70" style="width: 70%; text-align: center; background: #F45;">70%</div>
              </div>
              <br>
              <div class="progress">
                  <div class="progress-bar progress-bar-info" role="progressbar" style="width: 60%; text-align: center;">60%</div>
              </div>
              <br>
              <div class="progress">
                  <div class="progress-bar progress-bar-striped bg-danger" role="progressbar" style="width: 60%; text-align: center;">60%</div>
              </div>
              <br>
              <div class="progress">
                  <div class="progress-bar progress-bar-striped" role="progressbar" style="width: 40%; text-align: center">40%</div>
              </div>
          </div>
      </div>
      <div class="container-fluid">
          <div id="index1">
             <h1>Tooltips</h1>
              <div class="container">
                  <button type="button" class="btn btn-secondary" title="Voila a quoi sert le tooltip!" data-toggle="tooltip" data-placement="right" >Tooltip</button></div>
                  <p>JQuery est requis pour le Tooltip (voir le script.js pour les details)</p>
          </div>
      </div>
      <div class="container-fluid">
          <div id="index1">
              <h1>Modals</h1>
              <div class="container">
                 <p>Nb: Les Modals sont des pop-ups</p>
                 <a href="#" class="btn btn-info btn-lg" data-toggle="modal" data-target="#monModal">Ouvrir Modals</a>
                 <div class="modal fade" id="monModal">
                    <div class="modal-dialog modal-lg">
                        <div class="modal-content">
                            <div class="modal-header">
                               <h4 class="modal-title">Titre du modal</h4>
                               <button type="button" class="close" data-dismiss="modal">x</button>
                           </div>
                                <div class="modal-body">
                                   <p>Hello les amis!</p>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                                    </div>
                                </div> 
                        </div>
                    </div>
                    <p style="text-align: center;">la class modal-lg permet d'avoir un modal plus large</p>
                     
                 </div>
                  
              </div>
          </div>
      </div>
      <div class="container-fluid">
          <div id="index1">
              <h1>Navbar</h1>
              <div class="container">
                  <nav class="navbar navbar-default navbar1">
                      <div class="container">
                          <div class="navbar-header">
                              <a href="#" class="navbar-brand">Nom du Site</a>
                          </div>
                          <div>
                              <ul class="navbar nav">
                                  <li><a href="#">home</a></li>
                                  <li><a href="#">info</a></li>
                                  <li><a href="#">plan</a></li>
                                  <li><a href="#">contact</a></li>
                              </ul>
                              <ul class="navbar nav">
                                  <li><span class="glyphicon glyphicon-log-in"></span>Login</li>
                                  <li>Sign in</li>
                                  <li>Log Out</li>
                              </ul>
                          </div>
                      </div>            
                  </nav>
                  <p>Nb: normalement la liste aurait du s'afficher en inline, voir sur le site officiel si il y a eu des MAJ car les class navbar-default et navbar-inverse ne fonction plus... <a href="https://v4-alpha.getbootstrap.com/examples/navbars/">lien vers des exemples de Navbar by bootstrap</a>
                  
                  </p>
                 
             <h1>Contenu</h1>
             <h1>Contenu</h1>
             <h1>Contenu</h1>
             <h1>Contenu</h1>
             <h1>Contenu</h1>
             <h1>Contenu</h1>
             <h1>Contenu</h1>
             <h5>Contenu</h5>
            
        
             
              </div>
          </div>
      </div>
      <div class="container-fluid">
          <div id="index1">
              <h1>Scrollspy</h1>
              <div class="container">
                  <h2 id="home1" style="color: red">home1</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                   <h2 id="home2" style="color: red">home2</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                   <h2 id="home3" style="color: red">home3</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2 id="home4" style="color: red">home4</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
                  <h2>Contenu</h2>
            </div>
          </div>
      </div>
      <div class="container-fluid">
          <div id="index1">
              <h1>Carousel</h1>
              <div class="container">
<!--
                 <div id="myCarousel" class="carousel slide" data-ride="carousel" style="max-width: 800px;">
                    <ol class="carousel-indicators">
                        <li data-target="myCarousel" data-slide-to="0" class="active"></li>
                        <li data-target="myCarousel" data-slide-to="1"></li>
                        <li data-target="myCarousel" data-slide-to="2"></li>
                        <li data-target="myCarousel" data-slide-to="3"></li>
                    </ol>
                    <div class="carousel-inner" role="listbox">
                        <div class="item active">
                            <img src="https://static.pexels.com/photos/68430/pexels-photo-68430.jpeg" alt="">
                            <div class="carousel-caption">
                                <h3>image 1</h3>
                            </div>
                        </div>
                        <div class="item">
                            <img src="https://static.pexels.com/photos/67209/pexels-photo-67209.jpeg" alt="">
                            <div class="carousel-caption">
                                <h3>image 2</h3>
                            </div>
                        </div>
                        <div class="item">
                            <img src="https://images.pexels.com/photos/68438/pexels-photo-68438.jpeg?w=940&h=650&dpr=2&auto=compress&cs=tinysrgb" alt="">
                            <div class="carousel-caption">
                                <h3>image 3</h3>
                            </div>
                        </div>
                        <div class="item">
                            <img src="https://images.pexels.com/photos/68431/pexels-photo-68431.jpeg?w=940&h=650&dpr=2&auto=compress&cs=tinysrgb" alt="">
                            <div class="carousel-caption">
                                <h3>image 4</h3>
                            </div>
                        </div>
                    </div>
                    <a href="myCarousel" class="left carousel-control" role="button" data-slide="prev"><span class="glyphicon glyphicon-chevron-left"></span></a>
                    
                    <a href="myCarousel" class="right carousel-control" role="button" data-slide="next"><span class="glyphicon glyphicon-chevron-next"></span></a>
                     
                 </div>
                 
-->
                  
                  <div id="monCarousel" class="carousel slide" data-ride="carousel">
  <ol class="carousel-indicators">
    <li data-target="#monCarousel" data-slide-to="0" class="active"></li>
    <li data-target="#monCarousel" data-slide-to="1"></li>
    <li data-target="#monCarousel" data-slide-to="2"></li>
  </ol>
  <div class="carousel-inner" role="listbox">
    <div class="carousel-item active">
      <img class="d-block img-fluid" src="https://images.pexels.com/photos/68438/pexels-photo-68438.jpeg?w=940&h=650&dpr=2&auto=compress&cs=tinysrgb" alt="First slide">
    </div>
    <div class="carousel-item">
      <img class="d-block img-fluid" src="https://images.pexels.com/photos/68438/pexels-photo-68438.jpeg?w=940&h=650&dpr=2&auto=compress&cs=tinysrgb" alt="Second slide">
    </div>
    <div class="carousel-item">
      <img class="d-block img-fluid" src="https://images.pexels.com/photos/68438/pexels-photo-68438.jpeg?w=940&h=650&dpr=2&auto=compress&cs=tinysrgb" alt="Third slide">
    </div>
  </div>
  <a class="carousel-control-prev" href="#monCarousel" role="button" data-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="carousel-control-next" href="#monCarousel" role="button" data-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
</div>
              </div>
          </div>
      </div>
       </div>
   </div>
   
   <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js" integrity="sha384-vFJXuSJphROIrBnz7yo7oB41mKfc8JzQZiCq4NCceLEaO4IHwicKwpJf9c9IpFgh" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/js/bootstrap.min.js" integrity="sha384-alpBpkh1PFOepccYVYDB4do5UnbKysX5WZXm3XxPqe5iKTfUKjNkCk9SaVuEZflJ" crossorigin="anonymous"></script>
  
</body>
</html>


















